tt_pattern_barg_add(library call)

NAME
tt_pattern_barg_add — add an argument with a value that contains embedded nulls to a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_barg_add(
Tt_pattern m,
Tt_mode n,
const char *vtype,
const unsigned char *value,
int len);

DESCRIPTION

The tt_pattern_barg_add function adds an argument with a value that contains embedded nulls to a pattern.

The m argument is the opaque handle for the pattern involved in this operation. The n argument specifies who (sender, handler, observers) writes and reads a message argument. The following modes are defined:

TT_IN
    The argument is written by the sender and read by the handler and any observers.

TT_OUT
    The argument is written by the handler and read by the sender and any reply observers.

TT_INOUT
    The argument is written by the sender and the handler and read by all.

The vtype argument describes the type of argument data being added. Type ALL matches any argument value type.

The ToolTalk service treats the value as an opaque byte string. To pass structured data, the application and the receiving application must encode and decode these unique values. The most common method to use is XDR.

The value argument is the value to be added. NULL matches any value.

The len argument is the length of the value in bytes.

RETURN VALUE

Upon successful completion, the tt_pattern_barg_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_register(3), tt_pattern_arg_add(3), tt_pattern_iarg_add(3)